Bug 663736 - PackageKit stops working when there are network issues
Summary: PackageKit stops working when there are network issues
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-16 17:28 UTC by Felipe Contreras
Modified: 2012-02-02 19:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-02 19:09:00 UTC
Type: ---


Attachments (Terms of Use)

Description Felipe Contreras 2010-12-16 17:28:03 UTC
If I run gpk-application, without a configured proxy on /etc/yum.conf, and I'm on a network that needs a proxy, I see a list of tasks in the notification area, such as: Getting a list of repositories (Starting). However, it never finishes and I can't cancel it.

This probably can be triggered with netem (tc).

Comment 1 Felipe Contreras 2010-12-16 18:13:53 UTC
Very easy to reproduce in fact:

 % sudo yum clean all
 % sudo tc qdisc add dev eth0 root netem loss 100%
 % gpk-application

 * Type 'foo' and click 'Find'

Bang. PackageKit doesn't work any more.

This makes it work again:

 % sudo tc qdisc delete dev eth0 root

But of course that doesn't help when the pending operation was done with bad proxy settings, and that operation would hang forever.

The solution would be to timeout.

Comment 2 Richard Hughes 2010-12-17 11:11:18 UTC
Does using yum on the command line timeout? The bug sounds like something in yum blacking PK, not the other way around.

Comment 3 Felipe Contreras 2010-12-17 12:19:24 UTC
(In reply to comment #2)
> Does using yum on the command line timeout? The bug sounds like something in
> yum blacking PK, not the other way around.

Shouldn't PK be resilient to buggy backends?

Comment 4 Richard Hughes 2010-12-17 17:38:25 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Does using yum on the command line timeout? The bug sounds like something in
> > yum blacking PK, not the other way around.
> 
> Shouldn't PK be resilient to buggy backends?

Sure, but when it hands a task to a backend, there's not much it can do, short of killing the process.

Comment 5 Felipe Contreras 2010-12-19 00:37:17 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #2)
> > > Does using yum on the command line timeout? The bug sounds like something in
> > > yum blacking PK, not the other way around.
> > 
> > Shouldn't PK be resilient to buggy backends?
> 
> Sure, but when it hands a task to a backend, there's not much it can do, short
> of killing the process.

SIGINT?

Comment 6 Felipe Contreras 2012-02-02 19:09:00 UTC
Apparently this is never going to be fixed.


Note You need to log in before you can comment on or make changes to this bug.